<template>
	<u-navbar :title="title" @leftClick="leftClick" :autoBack="false" leftIconColor="#FFFFFF" :placeholder="true"
		bgColor="rgba(0,0,0,0)" :leftIconSize="leftIconSize">
	</u-navbar>
</template>

<script>
	export default {
		props: {
			title: {
				type: String,
				default: "",
			},
			leftIconSize: {
				type: String,
				default: "",
			},
			path:{
				type: String,
				default: "",
			}
		},
		data() {
			return {

			}
		},

		methods: {
			leftClick() {
				if (this.leftIconSize === "0") {
					return false;
					
				}
				if(this.path)
				{
					this.$tab.navigateTo(this.path)
				}else
				{
					this.$tab.navigateBack()
				}
				
			}
		},
	}
</script>

<style lang="scss" scoped>
	// 导航栏字的样式
	/deep/ .u-navbar__content__title {
		color: #FFFFFF;
		font-size: 36rpx;
		font-weight: bold;
	}
</style>
